﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Calculator.Models
{
    public static class MathUtil
    {
        public static double ASinH(double x)
        {
            return Math.Log(x + Math.Sqrt(1 + x * x));
        }

        public static double ACoseH(double x)
        {
            return 2d * Math.Log(Math.Sqrt((x + 1d) / 2d) + Math.Sqrt((x - 1d) / 2d));
        }

        public static double ATanH(double x)
        {
            return (Math.Log(1d + x) - Math.Log(1d - x)) / 2d;
        }
    }
}
