﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.UI;
using Silvermoon.Controls;
using Silvermoon.Windows;
using Silvermoon;

namespace Calculator
{
    public static class StateManagers
    {
        public static readonly VisualStateManager ButtonManager = new VisualStateManager(
           new VisualStateGroup(
                new VisualState(VState.Normal, 250),
                new VisualState(VState.Pressed, new ScaleTransition(5, null, new ScaleTransform(0.91f, 0.91f, 1f)))
            ),
            new VisualStateGroup(
                new VisualState(VState.Unchecked, 5),
            //new VisualState(VState.Checked, new ScaleTransition(5, null, new ScaleTransform(0.95f, 0.95f, 1f)))
                new VisualState(VState.Checked, new ColorTransition { Property = Control.ColorProperty, Duration = 5, To = PhoneColors.White }, new ColorTransition { Property = Control.TextColorProperty, Duration = 5, To = PhoneColors.Dark })
           )
         );

    }
}
