﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using Silvermoon.OpenGL;
using Silvermoon.Images;

namespace OutlookHub
{
    public class ContactDetailItem : TitleDetailsImageItem
    {

        public ContactDetailItem(string title, string details)
            : base(title, details)
        {
            AutoHeight = true;
            Margin = new Margin(5, 5, 5, 15);
        }

        public ContactDetailItem(string title, string details, Texture image)
            : base(title, details, image)
        {
            AutoHeight = true;
            Margin = new Margin(5, 5, 5, 15);
        }

        protected override void OnInitialized()
        {
            base.OnInitialized();
            if (Image != null) ImageBackground = SysImages.Circle;
        }
    }
}
