﻿using System;
using System.Runtime.InteropServices;
using System.Collections.Generic;
using System.Text;

namespace Silvermoon.OpenGL.Native
{
#pragma warning disable 0169


    public static partial class egl
    {
        const string LibGlessDllName = "libgles_cm.dll";

        public static IntPtr NO_DISPLAY { get { return IntPtr.Zero; } }
        public static IntPtr NO_SURFACE { get { return IntPtr.Zero; } }
        public static IntPtr NO_CONTEXT { get { return IntPtr.Zero; } }
#if USETHIS
        public const int EGL_VERSION_1_0 = 1;
        public const int EGL_VERSION_1_1 = 1;
        public const int EGL_VERSION_1_2 = 1;
        public const int EGL_VERSION_1_3 = 1;
        public const int EGL_VERSION_1_4 = 1;
        public const int EGL_SUCCESS = 12288;
        public const int EGL_NOT_INITIALIZED = 12289;
        public const int EGL_BAD_ACCESS = 12290;
        public const int EGL_BAD_ALLOC = 12291;
        public const int EGL_BAD_ATTRIBUTE = 12292;
        public const int EGL_BAD_CONFIG = 12293;
        public const int EGL_BAD_CONTEXT = 12294;
        public const int EGL_BAD_CURRENT_SURFACE = 12295;
        public const int EGL_BAD_DISPLAY = 12296;
        public const int EGL_BAD_MATCH = 12297;
        public const int EGL_BAD_NATIVE_PIXMAP = 12298;
        public const int EGL_BAD_NATIVE_WINDOW = 12299;
        public const int EGL_BAD_PARAMETER = 12300;
        public const int EGL_BAD_SURFACE = 12301;
        public const int EGL_CONTEXT_LOST = 12302;
        public const int EGL_VENDOR = 12371;
        public const int EGL_VERSION = 12372;
        public const int EGL_EXTENSIONS = 12373;
        public const int EGL_CLIENT_APIS = 12429;
        public const int EGL_VG_COLORSPACE_sRGB = 12425;
        public const int EGL_VG_COLORSPACE_LINEAR = 12426;
        public const int EGL_VG_ALPHA_FORMAT_NONPRE = 12427;
        public const int EGL_VG_ALPHA_FORMAT_PRE = 12428;
        public const int EGL_DISPLAY_SCALING = 10000;
        public const string EGL_UNKNOWN = "((int)-1)";
        public const int EGL_BUFFER_PRESERVED = 12436;
        public const int EGL_BUFFER_DESTROYED = 12437;
        public const int EGL_OPENVG_IMAGE = 12438;
        public const int EGL_CONTEXT_CLIENT_TYPE = 12439;
        public const int EGL_CONTEXT_CLIENT_VERSION = 12440;
        public const int EGL_MULTISAMPLE_RESOLVE_DEFAULT = 12442;
        public const int EGL_MULTISAMPLE_RESOLVE_BOX = 12443;
        public const int EGL_OPENGL_ES_API = 12448;
        public const int EGL_OPENVG_API = 12449;
        public const int EGL_OPENGL_API = 12450;
        public const int EGL_DRAW = 12377;
        public const int EGL_READ = 12378;
        public const int EGL_COLORSPACE = EGL_VG_COLORSPACE;
        public const int EGL_ALPHA_FORMAT = EGL_VG_ALPHA_FORMAT;
        public const int EGL_COLORSPACE_sRGB = EGL_VG_COLORSPACE_sRGB;
        public const int EGL_COLORSPACE_LINEAR = EGL_VG_COLORSPACE_LINEAR;
        public const int EGL_ALPHA_FORMAT_NONPRE = EGL_VG_ALPHA_FORMAT_NONPRE;
        public const int EGL_ALPHA_FORMAT_PRE = EGL_VG_ALPHA_FORMAT_PRE;
#endif
        public const int EGL_CORE_NATIVE_ENGINE = 12379;
        public const int EGL_DONT_CARE = -1;
        public const int EGL_VENDOR = 12371;
        public const int EGL_VERSION = 12372;
        public const int EGL_OPENGL_ES_BIT = 1;
        public const int EGL_OPENVG_BIT = 2;
        public const int EGL_OPENGL_ES2_BIT = 4;
        public const int EGL_OPENGL_BIT = 8;
        public const int EGL_HEIGHT = 12374;
        public const int EGL_WIDTH = 12375;
        public const int EGL_LARGEST_PBUFFER = 12376;
        public const int EGL_TEXTURE_FORMAT = 12416;
        public const int EGL_TEXTURE_TARGET = 12417;
        public const int EGL_MIPMAP_TEXTURE = 12418;
        public const int EGL_MIPMAP_LEVEL = 12419;
        public const int EGL_RENDER_BUFFER = 12422;
        public const int EGL_VG_COLORSPACE = 12423;
        public const int EGL_VG_ALPHA_FORMAT = 12424;
        public const int EGL_HORIZONTAL_RESOLUTION = 12432;
        public const int EGL_VERTICAL_RESOLUTION = 12433;
        public const int EGL_PIXEL_ASPECT_RATIO = 12434;
        public const int EGL_SWAP_BEHAVIOR = 12435;
        public const int EGL_MULTISAMPLE_RESOLVE = 12441;
        public const int EGL_BACK_BUFFER = 12420;
        public const int EGL_SINGLE_BUFFER = 12421;
        public const int EGL_FALSE = 0;
        public const int EGL_TRUE = 1;
        public const int EGL_BUFFER_SIZE = 12320;
        public const int EGL_ALPHA_SIZE = 12321;
        public const int EGL_BLUE_SIZE = 12322;
        public const int EGL_GREEN_SIZE = 12323;
        public const int EGL_RED_SIZE = 12324;
        public const int EGL_DEPTH_SIZE = 12325;
        public const int EGL_STENCIL_SIZE = 12326;
        public const int EGL_CONFIG_CAVEAT = 12327;
        public const int EGL_CONFIG_ID = 12328;
        public const int EGL_LEVEL = 12329;
        public const int EGL_MAX_PBUFFER_HEIGHT = 12330;
        public const int EGL_MAX_PBUFFER_PIXELS = 12331;
        public const int EGL_MAX_PBUFFER_WIDTH = 12332;
        public const int EGL_NATIVE_RENDERABLE = 12333;
        public const int EGL_NATIVE_VISUAL_ID = 12334;
        public const int EGL_NATIVE_VISUAL_TYPE = 12335;
        public const int EGL_PRESERVED_RESOURCES = 12336;
        public const int EGL_SAMPLES = 12337;
        public const int EGL_SAMPLE_BUFFERS = 12338;
        public const int EGL_SURFACE_TYPE = 12339;
        public const int EGL_TRANSPARENT_TYPE = 12340;
        public const int EGL_TRANSPARENT_BLUE_VALUE = 12341;
        public const int EGL_TRANSPARENT_GREEN_VALUE = 12342;
        public const int EGL_TRANSPARENT_RED_VALUE = 12343;
        public const int EGL_NONE = 12344;
        public const int EGL_BIND_TO_TEXTURE_RGB = 12345;
        public const int EGL_BIND_TO_TEXTURE_RGBA = 12346;
        public const int EGL_MIN_SWAP_INTERVAL = 12347;
        public const int EGL_MAX_SWAP_INTERVAL = 12348;
        public const int EGL_LUMINANCE_SIZE = 12349;
        public const int EGL_ALPHA_MASK_SIZE = 12350;
        public const int EGL_COLOR_BUFFER_TYPE = 12351;
        public const int EGL_RENDERABLE_TYPE = 12352;
        public const int EGL_MATCH_NATIVE_PIXMAP = 12353;
        public const int EGL_CONFORMANT = 12354;
        public const int EGL_SLOW_CONFIG = 12368;
        public const int EGL_NON_CONFORMANT_CONFIG = 12369;
        public const int EGL_TRANSPARENT_RGB = 12370;
        public const int EGL_RGB_BUFFER = 12430;
        public const int EGL_LUMINANCE_BUFFER = 12431;
        public const int EGL_NO_TEXTURE = 12380;
        public const int EGL_TEXTURE_RGB = 12381;
        public const int EGL_TEXTURE_RGBA = 12382;
        public const int EGL_TEXTURE_2D = 12383;
        public const int EGL_PBUFFER_BIT = 1;
        public const int EGL_PIXMAP_BIT = 2;
        public const int EGL_WINDOW_BIT = 4;
        public const int EGL_VG_COLORSPACE_LINEAR_BIT = 32;
        public const int EGL_VG_ALPHA_FORMAT_PRE_BIT = 64;
        public const int EGL_MULTISAMPLE_RESOLVE_BOX_BIT = 512;
        public const int EGL_SWAP_BEHAVIOR_PRESERVED_BIT = 1024;


        const string LibGlesDllName = "libgles_cm.dll";


        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetError")]
        public static extern int GetError();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetDisplay")]
        public static extern IntPtr GetDisplay(IntPtr display_id);

        //[DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetDisplay")]
        //public static extern IntPtr GetDisplay(int display_id);

        /// <summary>
        /// Gets whether an active context ist available.
        /// </summary>
        public static bool IsActive { get; private set; }

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglInitialize")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool Initialize(IntPtr display, out int major, out int minor);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglTerminate")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        private static extern bool eglTerminate(IntPtr display);

        public static bool Terminate(IntPtr display)
        {
            IsActive = false;
            return eglTerminate(display);
        }

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglQueryString")]
        public static extern IntPtr _QueryString(IntPtr display, int name);

        public static string QueryString(IntPtr display, int name)
        {
            IntPtr mem = _QueryString(display, name);
            if (mem == IntPtr.Zero) return "";
            byte[] b = new byte[1000];

            int l = 0;
            while (l < b.Length)
            {
                byte x = Marshal.ReadByte(mem, l);
                b[l] = x;
                if (x == 0) break;
                l++;
            }
            string s = Encoding.ASCII.GetString(b, 0, l);
            return s;
        }

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetConfigs")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool GetConfigs(IntPtr display, int[] configs, int config_size, out int num_config);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglChooseConfig")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool ChooseConfig(IntPtr display, int[] attrib_list, int[] configs, int config_size, out int num_config);


        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetConfigAttrib")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool GetConfigAttrib(IntPtr display, int config, int attribute, out int value);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreateWindowSurface")]
        public static extern IntPtr CreateWindowSurface(IntPtr display, int config, IntPtr win, int[] attrib_list);


        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreatePbufferSurface")]
        //[DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreateWindowSurface")]
        public static extern IntPtr CreatePbufferSurface(IntPtr display, int config, int[] attrib_list);

        //public static extern EGLSurface CreatePbufferSurface(IntPtr display, int config, IntPtr attrib_list);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreatePixmapSurface")]
        public static extern IntPtr CreatePixmapSurface(IntPtr display, int config, IntPtr hBitmap, int[] attrib_list);


        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglDestroySurface")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool DestroySurface(IntPtr display, IntPtr surface);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglQuerySurface")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool QuerySurface(IntPtr display, IntPtr surface, int attribute, out int value);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglBindAPI")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool BindAPI(int api);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglQueryAPI")]
        public static extern int QueryAPI();

        //[DllImportAttribute(LibGlesDllName, EntryPoint = "eglWaitClient")]
        //[return: MarshalAsAttribute(UnmanagedType.I1)]
        //public static extern bool WaitClient();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglReleaseThread")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool ReleaseThread();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreatePbufferFromClientBuffer")]
        public static extern IntPtr CreatePbufferFromClientBuffer(IntPtr display, int buftype, IntPtr hBitmap, int config, int[] attrib_list);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglSurfaceAttrib")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool SurfaceAttrib(IntPtr display, IntPtr surface, int attribute, int value);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglBindTexImage")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool BindTexImage(IntPtr display, IntPtr surface, int buffer);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglReleaseTexImage")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool ReleaseTexImage(IntPtr display, IntPtr surface, int buffer);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglSwapInterval")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool SwapInterval(IntPtr display, int interval);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCreateContext")]
        private static extern IntPtr eglCreateContext(IntPtr display, int config, IntPtr share_context, int[] attrib_list);

        public static IntPtr CreateContext(IntPtr display, int config, IntPtr share_context, int[] attrib_list)
        {
            IntPtr result = eglCreateContext(display, config, share_context, attrib_list);
            IsActive = true;
            return result;
        }


        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglDestroyContext")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        private static extern bool eglDestroyContext(IntPtr display, IntPtr context);

        public static bool DestroyContext(IntPtr display, IntPtr context)
        {
            IsActive = false;
            return eglDestroyContext(display, context);
        }

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglMakeCurrent")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool MakeCurrent(IntPtr display, IntPtr draw, IntPtr read, IntPtr context);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetCurrentContext")]
        public static extern IntPtr GetCurrentContext();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetCurrentSurface")]
        public static extern IntPtr GetCurrentSurface(int readdraw);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglGetCurrentDisplay")]
        public static extern IntPtr GetCurrentDisplay();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglQueryContext")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool QueryContext(IntPtr display, IntPtr context, int attribute, out int value);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglWaitGL")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool WaitGL();

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglWaitNative")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool WaitNative(int engine);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglSwapBuffers")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool SwapBuffers(IntPtr display, IntPtr surface);

        [DllImportAttribute(LibGlesDllName, EntryPoint = "eglCopyBuffers")]
        [return: MarshalAsAttribute(UnmanagedType.I1)]
        public static extern bool CopyBuffers(IntPtr display, IntPtr surface, IntPtr hBitmap);

    }
#pragma warning restore 0169
}