﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Animations
{
    public class CircleEase : EasingFunctionBase
    {
        protected override float EaseValue(float t)
        {
            return 1f - (float)(Math.Sqrt((1d - Math.Sqrt(t))));
        }

        public static readonly CircleEase In = new CircleEase { Mode = EasingMode.EaseIn };
        public static readonly CircleEase Out = new CircleEase { Mode = EasingMode.EaseOut };
        public static readonly CircleEase InOut = new CircleEase { Mode = EasingMode.EaseInOut };
    }
}
