﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Silvermoon.Animations
{
    public class PointAnimation : Animation<Point>
    {
        protected override Point CalculateValue(float value)
        {
            int x = (int)((To.X - From.X) * value) + From.X;
            int y = (int)((To.Y - From.Y) * value) + From.Y;
            return new Point(x, y);
        }
    }

}
