﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace Silvermoon.Animations
{
    public class ScaleAnimation:Animation<ScaleTransform>
    {
        ScaleTransform scale = new ScaleTransform();

        protected override ScaleTransform CalculateValue(float value)
        {
            float x = ((To.X - From.X) * value) + From.X;
            float y = ((To.Y - From.Y) * value) + From.Y;
            float z = ((To.Z - From.Z) * value) + From.Z;
            scale.X = x;
            scale.Y = y;
            scale.Z = z;
            //return scale;
            return new ScaleTransform(x, y, z);
        }
    }
}
