﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Silvermoon.Animations
{
    public class SizeAnimation:Animation<Size>
    {
        protected override Size CalculateValue(float value)
        {
            int w = (int)((To.Width - From.Width) * value) + From.Width;
            int h = (int)((To.Height - From.Height) * value) + From.Height;
            return new Size(w, h);
        }
    }
}
