﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls.Beta
{
    public class ItemGroupEventArgs : EventArgs
    {
        public int Index { get; private set; }
        public ItemGroupBase Group { get; private set; }

        /// <summary>
        /// Gets or sets the item.
        /// </summary>
        public ItemBase Item { get; set; }

        public ItemGroupEventArgs(int index, ItemGroupBase group)
            : base()
        {
            this.Index = index;
            this.Group = group;
        }
    }
}
