﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Silvermoon.Controls.Classes
{
    internal class GridEntry
    {
        public Control Control;
        public int Row;
        public int Col;
        public int RowSpan;
        public int ColSpan;
        public Size measuredSize;

        public GridEntry()
            : base()
        {
            RowSpan = ColSpan = 1;
        }

        public GridEntry(Control c, int row, int col)
            : this()
        {
            this.Control = c;
            this.Row = row;
            this.Col = col;
        }

        public GridEntry(Control c, int row, int col, int rowSpan, int colSpan)
            : base()
        {
            this.Control = c;
            this.Row = row;
            this.Col = col;
            this.RowSpan = rowSpan;
            this.ColSpan = colSpan;
        }
    }
}
