﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Silvermoon.Utils;

namespace Silvermoon.Controls
{
    /// <summary>
    /// Contains the system colors.
    /// </summary>
    public static class SysColors
    {
        private static readonly Color BaseColor = Color.Black;
        public static readonly Color HighlightedItemColor = Color.FromArgb(0, 0x44, 0xcc);
        public static readonly Color ItemBorderLineColor = SystemColors.InactiveBorder;
        public static readonly Color ButtonTextColor = Color.White;
        public static readonly Color TextColor = Color.White;
        public static readonly Color DialogColor =  ColorUtil.FromArgb(255, 0, 0, 0);
        public static readonly Color DialogTextColor = Color.White;
        public static readonly Color ItemHeaderColor = BaseColor;
        public static readonly Color ItemHeaderTextColor = Color.White;
        public static readonly Color HeaderColor = Color.FromArgb(24, 24, 24);
    }
}

