﻿using Silvermoon.OpenGL;
using System.Drawing;

namespace Silvermoon.Classes
{
    public static class SystemFonts
    {
        private static FontSprite normal, medium, big;

        public static FontSprite Normal
        {
            get
            {
                if (normal == null) normal = FontSprite.Regular;
                return normal;
            }
        }

        public static FontSprite Medium
        {
            get
            {
                if (medium == null) medium = FontSprite.FromData(GlFontFamily.GenericSansSerif, 14, FontStyle.Regular);
                return medium;
            }
        }

        public static FontSprite Big
        {
            get
            {
                if (big == null) big = FontSprite.FromData(GlFontFamily.GenericSansSerif, 16, FontStyle.Regular);
                return big;
            }
        }
    }
}
