﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.Classes;

namespace Silvermoon.Controls
{
    public class DateEventArgs : EventArgs
    {
        public DateTime Date { get; private set; }


        public bool IsEmpty
        {
            get { return Date.IsEmpty(); }
        }

        public DateEventArgs(DateTime date)
            : base()
        {
            this.Date = date;
        }
    }
}
