﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    public class NodeChangedEventArgs : EventArgs
    {
        public INavigationNode OldValue { get; private set; }
        public INavigationNode NewValue { get; private set; }

        public NodeChangedEventArgs(INavigationNode oldValue, INavigationNode newValue)
            : base()
        {
            this.OldValue = oldValue;
            this.NewValue = newValue;
        }
    }
}
