﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.UI;
using Silvermoon.Controls.Base;
using Silvermoon.Animations;

namespace Silvermoon.Controls.Forms
{
    public static class TransitionManagers
    {
        public static readonly VisualStateManager DialogTransitionManager = new VisualStateManager(
             new VisualState(VState.Shown, new FloatTransition(FormBase.RotateHorizonProperty, 200, -90F, 0F, CircleEase.In), new IntTransition(FormBase.OpacityProperty, 50, 0, 255, ExponentialEase.Out)),
            new VisualState(VState.Hidden, new FloatTransition(FormBase.RotateHorizonProperty, 200, null, 90F, CircleEase.Out), new IntTransition(FormBase.OpacityProperty, 50, null, 0, ExponentialEase.Out) { Delay = 150 })
            //new VisualState(VState.Hidden, new FloatTransition(FormBase.TranslateYFactorProperty, 300, null, -1f), new IntTransition(FormBase.OpacityProperty, 300, null, 0))
    );

    }
}
