﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Shapes;
using Silvermoon.Windows;
using Silvermoon.UI;

namespace Silvermoon.Controls
{
    /// <summary>
    /// Item used for especially for menus.
    /// </summary>
    public class MenuItem : TextItem
    {


        //static MenuItem()
        //{
        //    //VisualStateManager.RegisterClassManager(typeof(MenuItem), MenuItemManager);
        //}

        public MenuItem()
            : base()
        {
        }

        public MenuItem(string text)
            : base(text)
        {
        }

        public MenuItem(string text, bool enabled)
            : base(text, enabled)
        {
        }

        public MenuItem(string text, ICommand command)
            : this(text)
        {
            this.Command = command;
        }

    }
}
