﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    internal class ItemsContainer : CompositeControlBase
    {
        public ItemsContainer()
            : base()
        {
            this.ControlFlags = ControlFlags & ~ControlFlags.HitTestVisible;
        }


        protected internal override void OnRender(Silvermoon.Core.Renderer renderer)
        {            
            var shapes = Shapes;
            if (shapes != null) renderer.RenderShapes(shapes);

            var controls = VisibleControls;
            if (controls != null) renderer.RenderControls(controls);
        }
    }
}
