﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    public class PickerItemEventArgs:EventArgs
    {
        public object Value { get; private set; }
        public int Index { get; private set; }
        public Item Container { get; set; }

        public PickerItemEventArgs(int index, object value)
            : base()
        {
            this.Value = value;
            this.Index = index;
        }
    }
}
