﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    [Flags]
    public enum PickerMode
    {
        None = 0,

        /// <summary>
        /// fades siblings when transition changes.
        /// </summary>
        Fade = 1,

        /// <summary>
        /// collapes siblings into the centered node when transition changes to 0.
        /// </summary>
        Collapse = 2,

        /// <summary>
        /// Automatically hides siblings when lost focus and shows them when focused.
        /// </summary>
        AutoHide = 4
    }
}
