﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.UI;

namespace Silvermoon.Navigation
{
    public class PageTransition
    {
        /// <summary>
        /// Gets or sets the transition mode from Source to Target.
        /// </summary>
        public PageTransitionMode Mode;

        /// <summary>
        /// Gets or sets the transition for the source page.
        /// </summary>
        public VisualState Source;


        /// <summary>
        /// Gets or sets the transition for the target page.
        /// </summary>
        public VisualState Target;

    }
}
