﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.OpenGL.Native;

namespace Silvermoon.OpenGL
{
    public static class ClientState
    {

        public static bool ColorArray
        {
            set { ChangeState(value, ClientStateArray.Color); }
        }

        public static bool NormalArray
        {
            set { ChangeState(value, ClientStateArray.Normal); }
        }

        public static bool TextureCoordArray
        {
            set { ChangeState(value, ClientStateArray.TextureCoord); }
        }

        public static bool VertexArray
        {
            set { ChangeState(value, ClientStateArray.Vertex); }
        }

        private static void ChangeState(bool value, ClientStateArray state)
        {
            if (value) gl.EnableClientState(state); else gl.DisableClientState(state);
        }
    }
}
