﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Silvermoon.OpenGL;
using Silvermoon.Images;
using Silvermoon.OpenGL.Native;

namespace Silvermoon.Shapes
{

    public class AccentShape : ColorShape
    {
        private static Color AccentColor = Color.FromArgb(24, 24, 24);
        public AccentShape()
            : base()
        {
            Color = AccentColor;
        }

        public AccentShape(Color c)
            : base(c)
        {
        }

        protected override Texture TextureCore { get { return SysImages.Accent; } }
        protected override RenderStyle StyleCore { get { return RenderStyle.Edged; } }
        //protected override Texture AlphaTextureCore {get{return SysImages.AlphaAccent;}}

        protected override Shape CreateClone()
        {
            return new AccentShape();
        }

    }

}
