﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Silvermoon.UI
{
    /// <summary>
    /// VisualSateManager for page transitioning.
    /// </summary>
    public class TransitionManager : VisualStateManager
    {
        public TransitionManager()
            : base()
        {
        }
        public TransitionManager(params VisualState[] states)
            : base(states)
        {
        }

        public TransitionManager(params VisualStateGroup[] groups)
            : base(groups)
        {
        }

        /// <summary>
        /// Gets or sets whether the form is send to back on showing.
        /// </summary>
        public bool SendToBack { get; set; }

    }
}
