﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using Silvermoon.OpenGL;

namespace Silvermoon.Windows.Styles
{
    public class ButtonStyle : Style
    {
        public ICommand Command { get; set; }
        public Margin Padding { get; set; }
        public FontSprite Font { get; set; }
//        public Alignment? Alignment { get; set; }

        public override void Apply(Control c)
        {
            base.Apply(c);
            ContentButton btn = c as ContentButton;
            if (btn != null)
            {
                if (Padding != null) btn.Padding = Padding.Clone();
                if (Font != null) btn.Font = Font;
                if (Command != null) btn.Command = Command;
//                if (Alignment != null) btn.Alignment = Alignment.Value;
            }
        }
    }
}
