﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.UI;
using Silvermoon.Controls.Base;

namespace Silvermoon.Windows.Styles
{
    public class FormStyle:Style
    {
        public VisualStateManager TransitionManager;

        public override void Apply(Silvermoon.Controls.Control c)
        {
            base.Apply(c);
            FormBase form = c as FormBase;

            if (this.TransitionManager != null)
            {
                form.TransitionManager = TransitionManager;
            }
        }
    }
}
