﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using System.Drawing;
using Silvermoon.Shapes;

namespace Silvermoon.Windows.Styles
{
    class MetroDialogButtonStyle : StyleBase
    {
        public override void Apply(Silvermoon.Controls.Control c)
        {
            Button button = (Button)c;

            // force shapes and colors to unique values:
            button.Background = Color.Transparent;
            button.Chrome = new BorderShape(3, Color.White);
            button.ChromeColor = Color.White;
            button.Color = Color.Transparent;
            button.TextColor = Color.White;
            button.StateManager = ButtonStateManagers.MetroStateManager;
        }
    }
}
