﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls.Forms;
using System.Drawing;
using Silvermoon.Controls;
using Silvermoon.OpenGL;

namespace Silvermoon.Windows.Styles.Metro
{
    public class MetroMessageDialogStyle : MetroDialogStyle
    {
        public override void Apply(Silvermoon.Controls.Control c)
        {
            base.Apply(c);
            MessageDialog dlg = c as MessageDialog;
            if (dlg != null)
            {
                dlg.TitleFont = FontSprite.FromData(GlFontFamily.GenericSansSerif, 14, FontStyle.Bold);
                dlg.MessageAlignment = Alignment.Near;
                dlg.TitleAlignment = Alignment.Near;
            }
        }
    }
}
