﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using Silvermoon.UI;
using Silvermoon.Controls.Sys;
using Silvermoon.Controls.Forms;
using Silvermoon.Windows.Styles.Metro;

namespace Silvermoon.Windows.Styles
{
    public class MetroStyles : StyleDictionary
    {
        public MetroStyles()
            : base()
        {
            SetClass(typeof(Button), MetroButtonStyle.Instance);
            SetClass(typeof(TextBox), new MetroTextBoxStyle());
            SetClass(typeof(Slider), new MetroSliderStyle());
            SetClass(typeof(Dialog), new MetroDialogStyle());
            SetClass(typeof(MessageDialog), new MetroMessageDialogStyle());
            SetClass(typeof(ToggleButton), MetroToggleButtonStyle.Instance);
            SetClass(typeof(RadioButton), MetroRadioButtonStyle.Instance);
            SetClass(typeof(DialogButton), new MetroDialogButtonStyle());
            SetClass(typeof(KeyButton), new Style());
            SetClass(typeof(ToggleSwitch), new MetroToggleSwitchStyle());
            SetClass(typeof(CheckBox), new MetroCheckBoxStyle());

        }
    }
}

