﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using System.Drawing;
using Silvermoon.Shapes;
using Silvermoon.UI;

namespace Silvermoon.Windows.Styles
{
    public class MetroToggleButtonStyle : StyleBase
    {
        public static readonly MetroToggleButtonStyle Instance = new MetroToggleButtonStyle();

        public override void Apply(Control c)
        {
            ToggleButton button = (ToggleButton)c;

            if (button.Background == null) button.Background = Color.Transparent;
            if (button.Chrome == null) button.Chrome = new BorderShape(3, Color.Empty);
            if (button.ChromeColor.IsEmpty) button.ChromeColor = Color.White;

            //VisualStateManager.SetStateManagerIfEmpty(c, ToggleButton.JumpToggleButtonManager);
        }
    }
}
