﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Silvermoon.Controls;
using Silvermoon.Shapes;

namespace Silvermoon.Windows.Styles
{
    public class TabControlStyle : Style
    {
        public Color UnselectedTextColor;
        public Shape TabBackground;
        public Shape TabChrome;

        public override void Apply(Silvermoon.Controls.Control c)
        {
            base.Apply(c);
            TabControl tc = c as TabControl;
            if (tc != null)
            {
                if (!UnselectedTextColor.IsEmpty) tc.UnselectedTextColor = UnselectedTextColor;
                if (TabBackground != null) tc.TabBackground = TabBackground;
                if (TabChrome != null) tc.TabChrome = TabChrome;
            }
        }

    }
}
