﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using Silvermoon.OpenGL;

namespace Silvermoon.Windows.Styles
{
    public class TextItemStyle : Style
    {
        public Margin Padding { get; set; }
        public FontSprite Font { get; set; }

        public override void Apply(Control c)
        {
            base.Apply(c);
            TextItem item = c as TextItem;
            if (item != null)
            {
                if (Padding != null) item.Padding = Padding;
                if (Font != null) item.Font = Font;
            }
        }
    }
}
