﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using Silvermoon.Images;
using Silvermoon.Animations;
using System.Diagnostics;
using Silvermoon.Controls.Base;
using Silvermoon.Utils;
using System.Drawing;
using Silvermoon.OpenGL;
using Silvermoon.OpenGL.Native;
using Silvermoon.Shapes;
using Silvermoon.UI;
using Silvermoon.Navigation;

namespace Testing
{
    public abstract class DemoWindowBase : Page
    {
        protected Toolbar toolbar { get; private set; }

        public DemoWindowBase()
            : base()
        {
            SetTransition(300, TransitionMask.Zoom | TransitionMask.None, TransitionMask.Zoom | TransitionMask.None);
            Toolbar tb = new Toolbar();
            Toolbar = tb;
            toolbar = tb;
            ToolbarButton btn = new ToolbarButton { Content = ImagePool.Home };
            //btn.TextColor = Color.White;
            btn.Tap += (s, e) => GoBack();
            tb.Buttons.Add(btn);
        }

    }
}
