﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.OpenGL.Native;
using Silvermoon.OpenGL;

namespace OutlookHub.Images
{
    public static class ImagePool
    {
        public static readonly Texture Born = Texture.FromResource("OutlookHub.Images.born.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Contact = Texture.FromResource("OutlookHub.Images.Contact.png", TextureFormat.LuminanceAlpha, false);
//        public static readonly Texture Contact = Texture.FromResource("OutlookHub.Images.silouette.png", TextureFormat.RGB565, false);
        public static readonly Texture Folder = Texture.FromResource("OutlookHub.Images.folder.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Sync = Texture.FromResource("OutlookHub.Images.sync.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Phone = Texture.FromResource("OutlookHub.Images.HomePhone.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Address = Texture.FromResource("OutlookHub.Images.Home.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Mobile = Texture.FromResource("OutlookHub.Images.MobilePhone.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture EMail = Texture.FromResource("OutlookHub.Images.Mail.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Web = Texture.FromResource("OutlookHub.Images.Web.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture SortOrder = Texture.FromResource("OutlookHub.Images.SortOrder.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Office = Texture.FromResource("OutlookHub.Images.Office.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Clip = Texture.FromResource("OutlookHub.Images.Clip.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture LowPriority = Texture.FromResource("OutlookHub.Images.LoPriority.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture HighPriortiy = Texture.FromResource("OutlookHub.Images.HighPriority.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Filter = Texture.FromResource("OutlookHub.Images.Filter.png", TextureFormat.LuminanceAlpha, false);
        public static readonly Texture Count  = Texture.FromResource("OutlookHub.Images.Count.png", TextureFormat.LuminanceAlpha, true);
    }
}

