﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Passwords.Biz
{
    public class CategoryPasswordItem : PasswordItem
    {
        private static readonly PasswordLabel label = new PasswordLabel(0, "Categories", (int)ItemType.Categories, int.MaxValue);

        public CategoryPasswordItem(Password password)
            : base(password, label)
        {
            IsEmpty = false;
        }


        public override string Value
        {
            get { return Password.CategoriesToString(); }
            set { }
        }

        public override void Save()
        {

        }
    }
}
