﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Passwords.Biz
{
    public enum ItemType
    {
        Undefined = 0,
        String = 1,
        Password = 2,
        Decimal = 3,
        Memo = 4,
        Date = 5,
        Time = 6,
        Selection = 7,
        NumericPassword=8,
        MonthYear = 9,

        // for internal use only:

        Internal = 999,

        /// <summary>
        /// Displays the categories of the password as string.
        /// </summary>
        Categories = 1000,

        /// <summary>
        /// Shows the Name of the password as an Item.
        /// </summary>
        Name = 1001
    }
}
