﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;

namespace Passwords.Models
{
    public class TimePickerModel
    {
        public List<PickerData> Hours { get; private set; }
        public List<PickerData> Minutes { get; private set; }

        public TimePickerModel()
            : base()
        {
            Hours = new List<PickerData>(60);
            Minutes = new List<PickerData>(24);

            for (int i = 0; i < 60; i++) Minutes.Add(new PickerData(string.Empty, string.Format("{0:D2}", i), i));
            for (int i = 0; i < 24; i++) Hours.Add(Minutes[i]);
        }

    }
}
