﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace Silvermoon.OpenGL.Native.Vectors
{
    [StructLayout(LayoutKind.Sequential)]
    public struct Vector2b
    {
        public float X;
        public float Y;

        public Vector2b(float x, float y)
        {
            X = x;
            Y = y;
        }
    }

    [StructLayout(LayoutKind.Sequential)]
    public struct Vector3b
    {
        public float X;
        public float Y;
        public float Z;

        public Vector3b(float x, float y, float z)
        {
            X = x;
            Y = y;
            Z = z;
        }
    }

}