﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Animations
{
    public class KeyFrame
    {
        public float Portions { get; set; }
        public IEasingFunction Ease { get; set; }

        public KeyFrame()
            : base()
        {
            Portions = 1;
        }

        public KeyFrame(float portions, IEasingFunction ease)
            : base()
        {
            Portions = portions;
            Ease = ease;
        }

    }
}
