﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Silvermoon.Animations
{
    public class PointFAnimation : Animation<PointF>
    {
        protected override PointF CalculateValue(float value)
        {
            float x = ((To.X - From.X) * value) + From.X;
            float y = ((To.Y - From.Y) * value) + From.Y;
            return new PointF(x, y);
        }
    }
}
