﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Windows;
using Silvermoon.Controls;
using Silvermoon.Controls.Base;
using Silvermoon.UI;

namespace Silvermoon.Animations
{
    public class Projection 
    {
        public readonly ScaleTransform Scale = new ScaleTransform();
        public readonly RotateTransform Rotate = new RotateTransform();

        public readonly TranslateTransform Translate = new TranslateTransform();


        internal Projection(Control control)
            : base()
        {
            control.Transformation |= Scale;
            control.Transformation |= Rotate;
            control.Transformation |= Translate;
        }
    }
}
