﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls.Base;
using System.Drawing;

namespace Silvermoon.Controls.Beta
{
    /// <summary>
    /// Represnts the container that actually contains items. Since version 3.0, the position of each item is fixed, but the position of the container
    /// changes when being scrolled.
    /// </summary>
    public class ListBoxContainer : CompositeControlBase
    {


        public ListBoxContainer()
            : base()
        {
            this.ControlFlags = ControlFlags & ~ControlFlags.HitTestVisible;
        }

        //public override void BringIntoView(Rectangle bounds, bool animated)
        //{
        //    if (Parent != null) Parent.BringIntoView(bounds, animated);
        //}



        protected internal override void OnRender(Silvermoon.Core.Renderer renderer)
        {
            var controls = VisibleControls;
            if (controls != null) renderer.RenderControls(controls);
        }

    }
}
