﻿using System;

using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Silvermoon.Controls.Base;

namespace Silvermoon.Controls
{
     public class TapEventArgs : CancelEventArgs
    {
        internal TapEventArgs()
            : base()
        {
        }

        public TapEventArgs(Point position)
            : base()
        {
            this.Position = position;
        }

        /// <summary>
        /// Gets the position where the tap event occurred.
        /// </summary>
        public Point Position { get; internal set; }
    }
}
