﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls.Base;

namespace Silvermoon.Controls.Interfaces
{
    /// <summary>
    /// Decorates a control to be notified about changes in a ControlCollection.
    /// </summary>
    public interface INotifyControlCollection
    {
        void ControlAdded(Control c);
        void CollectionCleared();
        void ControlRemoved(Control c);
    }
}
