﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls.Interfaces
{
    /// <summary>
    /// Decorates a control with the functionality to stop any running animations before another for another control begins.
    /// </summary>
    public interface ITransitionBehavior
    {
        /// <summary>
        /// Stops any running animations.
        /// </summary>
        void StopAnimations();
    }
}
