﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    public class ItemEventArgs : EventArgs
    {
        public object Value { get; internal set; }
        public Item Item { get; set; }
        public int Index { get; internal set; }
        public IItemHost Host { get; internal set; }

        internal ItemEventArgs()
        {
        }

        public ItemEventArgs(int index, Item item, object data, IItemHost host)
            : base()
        {
            this.Value = data;
            this.Index = index;
            this.Item = item;
            this.Host = host;
        }
    }
}
