﻿using System;

using System.Collections.Generic;
using System.Text;

namespace Silvermoon.Controls
{
    public class ItemGroupDescriptor<V>
    {
        public ItemGroupDescriptor(string title)
            : base()
        {
            this.Title = title;
        }

        public string Title { get; set; }

        public List<V> Items { get; internal set; }

        public bool IsEmpty { get { return Items == null || Items.Count == 0; } }

        internal ListViewGroup Group;
    }
}
