﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Windows.Styles;
using Silvermoon.Shapes;

namespace Silvermoon.Controls
{
    public class ListViewGroupStyle : Style
    {
        public Shape ContainerBackground { get; set; }


        public override void Dispose()
        {
            if (ContainerBackground != null) ContainerBackground.Dispose();
            base.Dispose();
        }



        public override void Apply(Control c)
        {
            base.Apply(c);
            ListViewGroup g = c as ListViewGroup;
            if (ContainerBackground != null) g.ContainerBackground = ContainerBackground.Clone();
        }

    }
}
