﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls.Base;

namespace Silvermoon.Controls
{
    public class NavigationEventArgs : EventArgs
    {
        /// <summary>
        /// Gets or sets the control to submit.
        /// </summary>
        public Control Control { get; set; }

        public INavigationNode Navigation { get; private set; }

        public NavigationEventArgs(INavigationNode navigation)
            : base()
        {
            this.Navigation = navigation;
        }
    }
}
