﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.UI;
using Silvermoon.Animations;
using Silvermoon.Controls.Base;

namespace Silvermoon.Navigation
{
    internal static class PageTransitions
    {
        public static readonly PageTransition Default = new PageTransition
        {
            Mode = PageTransitionMode.HideThenShow,
            Source = new VisualState("", new FloatTransition(FormBase.RotateVerticalProperty, 200, 2f * -360F, 2f * -360F + 90F, CircleEase.Out)),
            Target = new VisualState("", new FloatTransition(FormBase.RotateVerticalProperty, 200, 2f * -360F - 90F, 2f * -360F, CircleEase.In))
        };
    }
}
