﻿using System;

using System.Collections.Generic;
using System.Text;
using Silvermoon.Controls;
using System.Drawing;

namespace Silvermoon.Windows.Styles
{
    public class MetroWindowStyle : StyleBase
    {
        public override void Apply(Control c)
        {
            Window w = (Window)c;

            if (w.Color.IsEmpty) w.Color = PhoneColors.Dark;
            if (w.Background == null) w.Background = PhoneColors.Dark;
            if (w.ToolbarBackground == null) w.ToolbarBackground = Color.Black;

            StyleDictionary styles = new MetroStyles();
            w.Styles = StyleDictionary.Merge(w.Styles, styles);
        }
    }
}
