﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using Silvermoon.Controls;

namespace Silvermoon.Windows.Styles
{
    public class ScrollViewerStyle:Style
    {
        public Color ScrollbarColor;

        public override void Apply(Silvermoon.Controls.Control c)
        {
            base.Apply(c);
            ScrollViewer sv = c as ScrollViewer;
            if (sv != null)
            {
                if (!ScrollbarColor.IsEmpty) sv.ScrollbarColor = ScrollbarColor;
            }
        }
    }
}
