﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using Silvermoon.OpenGL;
using Silvermoon.Controls;

namespace Silvermoon.Windows.Styles
{
    public class TextBoxStyle : Style
    {
        public FontSprite Font { get; set; }

        public bool ForceFont;

        public override void Apply(Control c)
        {
            TextBox tb = c as TextBox;
            if (Font != null && (ForceFont || tb.Font == null)) tb.Font = Font;
            base.Apply(c);
        }

    }
}
